<!DOCTYPE html>
<html <?php language_attributes(); ?>>


    <!-- =========================================
    head
    ========================================== -->
    <head>
    <?php 
    $avaxy_redux_demo = get_option('redux_demo'); ?>


        <!-- =========================================
        Basic
        ========================================== -->
        <meta charset="<?php bloginfo( 'charset' ); ?>">

        <!-- =========================================
        Mobile Configurations
        ========================================== -->
        <?php if ( ! function_exists( 'has_site_icon' ) || ! has_site_icon() ) {
        ?>
        <link rel="shortcut icon" href="<?php $avaxy_redux_demo = get_option('redux_demo'); if(isset($avaxy_redux_demo['favicon']['url'])){?><?php echo esc_url($avaxy_redux_demo['favicon']['url']); ?><?php }?>" />
        <?php }?>
        <!-- =========================================
        CSS
        ========================================== -->
        <?php wp_head();?>

        <!-- =========================================
        Head Libs
        ========================================== -->


    </head><!-- /head -->




    <!-- =========================================
    body
    ========================================== -->
    <?php  $wide_portfolio = get_post_meta(get_the_ID(),'_cmb_wide_page_portfolio', true); ?>
    <?php  $sidebar = get_post_meta(get_the_ID(),'_cmb_sidebar_page', true); ?>
    <?php  $columns_portfolio = get_post_meta(get_the_ID(),'_cmb_columns_page_portfolio', true); ?>
    <body class="<?php echo esc_attr($columns_portfolio); ?> <?php echo esc_attr($sidebar); ?> <?php echo esc_attr($wide_portfolio); ?>">




        <!-- =========================================
        To Top
        ========================================== -->
        <!-- to-top -->
        <div id="to-top">
            <a href="#" title="To Top"><i class="fa fa-angle-up"></i></a>
        </div><!-- /to-top -->




        <!-- =========================================
        Loader
        ========================================== -->
        




        <!-- =========================================
        Main Wrapper
        ========================================== -->
        <!-- main-wrapper -->
        <div id="main-wrapper">




            <!-- header top-header-dark header-menu-light submenu-light -->
            <header class="header top-header-dark header-menu-light submenu-light">




                <!-- top-header -->
                <div class="top-header">

                    <!-- container -->
                    <div class="container">
                        <!-- row -->
                        <div class="row">


                            <!-- col-md-6 -->
                            <div class="col-md-6">
                                <!-- left-wrapper -->
                                <div class="left-wrapper">


                                    <!-- content-info -->
                                    <div class="content-info">
                                        <span><?php if(isset($avaxy_redux_demo['header_phone'])){?>
                                                                    <?php echo esc_attr($avaxy_redux_demo['header_phone']); ?>
                                                                    <?php }else{?>
                                                                    <?php echo esc_html__( 'Phone :', 'avaxy' );
                                                                    }
                                                                    ?></span>
                                        <span>
                                            <a href="<?php if(isset($avaxy_redux_demo['header_number'])){?>
                                                                    <?php echo esc_attr($avaxy_redux_demo['header_number']); ?>
                                                                    <?php }else{?>
                                                                    <?php echo esc_html__( '+1 (123) 456-7890', 'avaxy' );
                                                                    }
                                                                    ?>" title="Call Us"><?php if(isset($avaxy_redux_demo['header_number'])){?>
                                                                    <?php echo esc_attr($avaxy_redux_demo['header_number']); ?>
                                                                    <?php }else{?>
                                                                    <?php echo esc_html__( '+1 (123) 456-7890', 'avaxy' );
                                                                    }
                                                                    ?></a>
                                        </span>
                                    </div><!-- /content-info -->


                                    <!-- content-info -->
                                    <div class="content-info">
                                        <span><?php if(isset($avaxy_redux_demo['header_mail'])){?>
                                                                    <?php echo esc_attr($avaxy_redux_demo['header_mail']); ?>
                                                                    <?php }else{?>
                                                                    <?php echo esc_html__( 'Email :', 'avaxy' );
                                                                    }
                                                                    ?></span>
                                        <span>
                                            <a href="mailto:<?php if(isset($avaxy_redux_demo['header_your_mail'])){?>
                                                                    <?php echo esc_attr($avaxy_redux_demo['header_your_mail']); ?>
                                                                    <?php }else{?>
                                                                    <?php echo esc_html__( 'Support@Example.com', 'avaxy' );
                                                                    }
                                                                    ?>" title="Email Us"><?php if(isset($avaxy_redux_demo['header_your_mail'])){?>
                                                                    <?php echo esc_attr($avaxy_redux_demo['header_your_mail']); ?>
                                                                    <?php }else{?>
                                                                    <?php echo esc_html__( 'Support@Example.com', 'avaxy' );
                                                                    }
                                                                    ?></a>
                                        </span>
                                    </div><!-- /content-info -->


                                </div><!-- /left-wrapper -->
                            </div><!-- /col-md-6 -->


                            <!-- col-md-6 -->
                            <div class="col-md-6">
                                <!-- right-wrapper -->
                                <div class="right-wrapper">


                                    <!-- content-info -->
                                    <div class="content-info">

                                        <!-- social-icons double-icons -->
                                        <div class="social-icons double-icons">
                                            <ul>
                                                <li>
                                                    <a href="<?php if(isset($avaxy_redux_demo['header_link_facebook'])){?>
                                                                    <?php echo esc_attr($avaxy_redux_demo['header_link_facebook']); ?>
                                                                    <?php }else{?>
                                                                    <?php echo esc_html__( '#', 'avaxy' );
                                                                    }
                                                                    ?>" title="Facebook"><i class="<?php if(isset($avaxy_redux_demo['header_icon_facebook'])){?>
                                                                    <?php echo esc_attr($avaxy_redux_demo['header_icon_facebook']); ?>
                                                                    <?php }else{?>
                                                                    <?php echo esc_html__( 'fa fa-facebook', 'avaxy' );
                                                                    }
                                                                    ?>"></i></a>
                                                </li>
                                                <li>
                                                    <a href="<?php if(isset($avaxy_redux_demo['header_link_twitter'])){?>
                                                                    <?php echo esc_attr($avaxy_redux_demo['header_link_twitter']); ?>
                                                                    <?php }else{?>
                                                                    <?php echo esc_html__( '#', 'avaxy' );
                                                                    }
                                                                    ?>" title="Twitter"><i class="<?php if(isset($avaxy_redux_demo['header_icon_twitter'])){?>
                                                                    <?php echo esc_attr($avaxy_redux_demo['header_icon_twitter']); ?>
                                                                    <?php }else{?>
                                                                    <?php echo esc_html__( 'fa fa-twitter', 'avaxy' );
                                                                    }
                                                                    ?>"></i></a>
                                                </li>
                                                <li>
                                                    <a href="<?php if(isset($avaxy_redux_demo['header_link_google'])){?>
                                                                    <?php echo esc_attr($avaxy_redux_demo['header_link_google']); ?>
                                                                    <?php }else{?>
                                                                    <?php echo esc_html__( '#', 'avaxy' );
                                                                    }
                                                                    ?>" title="Google Plus"><i class="<?php if(isset($avaxy_redux_demo['header_icon_google'])){?>
                                                                    <?php echo esc_attr($avaxy_redux_demo['header_icon_google']); ?>
                                                                    <?php }else{?>
                                                                    <?php echo esc_html__( 'fa fa-google-plus', 'avaxy' );
                                                                    }
                                                                    ?>"></i></a>
                                                </li>
                                                <li>
                                                    <a href="<?php if(isset($avaxy_redux_demo['header_link_youtube'])){?>
                                                                    <?php echo esc_attr($avaxy_redux_demo['header_link_youtube']); ?>
                                                                    <?php }else{?>
                                                                    <?php echo esc_html__( '#', 'avaxy' );
                                                                    }
                                                                    ?>" title="youtube"><i class="<?php if(isset($avaxy_redux_demo['header_icon_youtube'])){?>
                                                                    <?php echo esc_attr($avaxy_redux_demo['header_icon_youtube']); ?>
                                                                    <?php }else{?>
                                                                    <?php echo esc_html__( 'fa fa-youtube-play', 'avaxy' );
                                                                    }
                                                                    ?>"></i></a>
                                                </li>
                                                <li>
                                                    <a href="<?php if(isset($avaxy_redux_demo['header_link_behance'])){?>
                                                                    <?php echo esc_attr($avaxy_redux_demo['header_link_behance']); ?>
                                                                    <?php }else{?>
                                                                    <?php echo esc_html__( '#', 'avaxy' );
                                                                    }
                                                                    ?>" title="Behance"><i class="<?php if(isset($avaxy_redux_demo['header_icon_behance'])){?>
                                                                    <?php echo esc_attr($avaxy_redux_demo['header_icon_behance']); ?>
                                                                    <?php }else{?>
                                                                    <?php echo esc_html__( 'fa fa-behance', 'avaxy' );
                                                                    }
                                                                    ?>"></i></a>
                                                </li>
                                                <li>
                                                    <a href="<?php if(isset($avaxy_redux_demo['header_link_pinterest'])){?>
                                                                    <?php echo esc_attr($avaxy_redux_demo['header_link_pinterest']); ?>
                                                                    <?php }else{?>
                                                                    <?php echo esc_html__( '#', 'avaxy' );
                                                                    }
                                                                    ?>" title="Pinterest"><i class="<?php if(isset($avaxy_redux_demo['header_icon_pinterest'])){?>
                                                                    <?php echo esc_attr($avaxy_redux_demo['header_icon_pinterest']); ?>
                                                                    <?php }else{?>
                                                                    <?php echo esc_html__( 'fa fa-pinterest', 'avaxy' );
                                                                    }
                                                                    ?>"></i></a>
                                                </li>
                                                <li>
                                                    <a href="<?php if(isset($avaxy_redux_demo['header_link_dribbble'])){?>
                                                                    <?php echo esc_attr($avaxy_redux_demo['header_link_dribbble']); ?>
                                                                    <?php }else{?>
                                                                    <?php echo esc_html__( '#', 'avaxy' );
                                                                    }
                                                                    ?>" title="Dribbble"><i class="<?php if(isset($avaxy_redux_demo['header_icon_dribbble'])){?>
                                                                    <?php echo esc_attr($avaxy_redux_demo['header_icon_dribbble']); ?>
                                                                    <?php }else{?>
                                                                    <?php echo esc_html__( 'fa fa-dribbble', 'avaxy' );
                                                                    }
                                                                    ?>"></i></a>
                                                </li>
                                            </ul>
                                        </div><!-- /social-icons double-icons -->

                                    </div><!-- /content-info -->


                                </div><!-- /right-wrapper -->
                            </div><!-- /col-md-6 -->


                        </div><!-- /row -->
                    </div><!-- /container -->


                </div><!-- /top-header -->




                <!-- header-menu-wrapper -->
                <div class="header-menu-wrapper">
                    <!-- header-menu -->
                    <div class="header-menu">


                        <!-- navbar -->
                        <nav class="navbar" role="navigation">

                            <!-- container -->
                            <div class="container">
                                <!-- row -->
                                <div class="row">
                                    <!-- col-md-12 -->
                                    <div class="col-md-12">


                                        <!-- navbar-header -->
                                        <div class="navbar-header">

                                            <!-- logo -->
                                            <a href="<?php echo esc_url(home_url('/')); ?>" class="navbar-brand" title="Avaxy">
                                            <?php $avaxy_redux_demo = get_option('redux_demo'); if(isset($avaxy_redux_demo['logo']['url'])){?>
                                            <?php  if($avaxy_redux_demo['logo']['url'] != ''){ ?><img alt="Website Logo" src="<?php echo esc_url($avaxy_redux_demo['logo']['url']); ?>" /><?php }else{ ?>
                                            <img src="<?php echo get_template_directory_uri();?>/images/logo.png" alt="Website Logo">
                                
                                            <?php }}?>
                                        </a><!-- /logo -->

                                            <!-- site-slogan -->
                                            <span class="site-slogan"><?php if(isset($avaxy_redux_demo['header_slogan'])){?>
                                                                    <?php echo esc_attr($avaxy_redux_demo['header_slogan']); ?>
                                                                    <?php }else{?>
                                                                    <?php echo esc_html__( 'Multipurpose HTML5 Template', 'avaxy' );
                                                                    }
                                                                    ?></span>

                                        </div><!-- /navbar-header -->


                                        <!-- menu-buttons -->
                                        <div class="menu-buttons">
                                            <ul>
                                                    
                                                <!-- btn-search -->
                                                <li>

                                                    <a href="#" title="Search" class="btn-icon btn-search">
                                                        <i class="fa fa-search"></i>
                                                    </a>

                                                </li><!-- /btn-search -->

                                                <!-- btn-cart -->
                                                <li>

                                                    <a href="#" title="Cart" class="btn-icon btn-cart">
                                                        <i class="fa fa-shopping-cart"></i>
                                                        <span class="badge">3</span>
                                                    </a>

                                                    

                                                </li><!-- /btn-cart -->

                                            </ul>
                                        </div><!-- /menu-buttons -->


                                        <!-- Toggle Menu Button -->
                                        <button type="button" class="navbar-toggle collapsed" data-toggle="collapse" data-target=".navbar-collapse">
                                            <?php if(isset($avaxy_redux_demo['header_menu_text'])){?>
                                                                    <?php echo esc_attr($avaxy_redux_demo['header_menu_text']); ?>
                                                                    <?php }else{?>
                                                                    <?php echo esc_html__( 'menu', 'avaxy' );
                                                                    }
                                                                    ?><i class="fa fa-bars"></i>
                                        </button><!-- /Toggle Menu Button -->


                                        <!-- navbar-collapse -->
                                        <div class="collapse navbar-collapse">
                                            <!-- nav -->
                                            <?php 
                      wp_nav_menu( 
                      array( 
                            'theme_location' => 'primary',
                            'container' => '',
                            'menu_class' => '', 
                            'menu_id' => '',
                            'menu'            => '',
                            'container_class' => '',
                            'container_id'    => '',
                            'echo'            => true,
                             'fallback_cb'       => 'wp_bootstrap_navwalker::fallback',
                             'walker'            => new wp_bootstrap_navwalker(),
                            'before'          => '',
                            'after'           => '',
                            'link_before'     => '',
                            'link_after'      => '',
                            'items_wrap'      => '<ul class="nav navbar-nav navbar-right  %2$s">%3$s</ul>',
                            'depth'           => 0,        
                        )
                     ); ?>
                                        </div><!-- /navbar-collapse -->


                                    </div><!-- /col-md-12 -->
                                </div><!-- /row -->
                            </div><!-- /container -->

                        </nav><!-- /navbar -->


                    </div><!-- /header-menu -->
                </div><!-- /header-menu-wrapper -->




                <!-- =========================================
                Search Form
                ========================================== -->
                <!-- menu-search-form -->
                <div class="menu-search-form">

                    <!-- container -->
                    <div class="container">
                        <!-- row -->
                        <div class="row">


                            <!-- col-md-12 -->
                            <div class="col-md-12">

                                <!-- search-form -->
                                <form role="search" method="get" class="search-form" action="#" novalidate="">
                                    <div class="input-group">
                                        <input type="search" class="form-control" placeholder="<?php if(isset($avaxy_redux_demo['header_search'])){?>
                                                                    <?php echo esc_attr($avaxy_redux_demo['header_search']); ?>
                                                                    <?php }else{?>
                                                                    <?php echo esc_html__( 'Track your shipment', 'avaxy' );
                                                                    }
                                                                    ?>" value="" name="Search">
                                    </div>
                                </form><!-- /search-form -->

                            </div><!-- /col-md-12 -->


                        </div><!-- /row -->
                    </div><!-- /container -->

                </div><!-- /menu-search-form -->




            </header><!-- /header top-header-dark header-menu-light submenu-light -->