<?php
/**
 * Include and setup custom metaboxes and fields.
 *
 * @category YourThemeOrPlugin
 * @package  Metaboxes
 * @license  http://www.opensource.org/licenses/gpl-license.php GPL v2.0 (or later)
 * @link     https://github.com/jaredatch/Custom-Metaboxes-and-Fields-for-WordPress
 */

add_filter( 'cmb_meta_boxes', 'cmb_sample_metaboxes' );
/**
 * Define the metabox and field configurations.
 *
 * @param  array $meta_boxes
 * @return array
 */
$textdomain = "avaxy";
function cmb_sample_metaboxes( array $meta_boxes ) {

	// Start with an underscore to hide fields from custom fields list
	$prefix = '_cmb_';
	
    $meta_boxes[] = array(
        'id'         => 'page_setting',
        'title'      => 'Page Setting',
        'pages'      => array('page'), // Post type
        'context'    => 'normal',
        'priority'   => 'high',
        'show_names' => true, // Show field names on the left
        //'show_on'    => array( 'key' => 'id', 'value' => array( 2, ), ), // Specific post IDs to display this metabox
        'fields' => array( 
            array(
                'name' => 'Selected Sidebar or Full Width',
                'desc' => 'Sidebar or Full Width',
                'id'   => $prefix . 'sidebar_page',
                'type'    => 'select',
                'options' => array(
                        array( 'name' => 'Left Sidebar', 'value' => 'left-sidebar', ),
                        array( 'name' => 'Right Sidebar', 'value' => 'right-sidebar', ),
                        array( 'name' => 'Full Width', 'value' => 'grid-full-width', ),
                        array( 'name' => 'Widthout Sidebar', 'value' => 'without-sidebar', ),
                        ),
                    'default' => 'right-sidebar',
            ),
            array(
                'name' => 'Selected Standard or Columns',
                'desc' => 'Standard or Columns With Blog',
                'id'   => $prefix . 'columns_page',
                'type'    => 'select',
                'options' => array(
                    array( 'name' => 'Standard', 'value' => 'blog-standard', ),
                    array( 'name' => '2 Columns', 'value' => 'blog-grid grid-2-columns', ),
                    array( 'name' => '3 Columns', 'value' => 'blog-grid grid-3-columns', ),
                    array( 'name' => '4 Columns', 'value' => 'blog-grid grid-4-columns', ),
                    array( 'name' => 'Timeline', 'value' => 'blog-grid blog-timeline', ),
                    ),
                'default' => 'blog-standard',
            ), 
            array(
                'name' => 'Selected  Columns ',
                'desc' => 'Selected Columns  With Portfolio',
                'id'   => $prefix . 'columns_page_portfolio',
                'type'    => 'select',
                'options' => array(
                    array( 'name' => '2 Columns', 'value' => 'portfolio-grid grid-2-columns', ),
                    array( 'name' => '3 Columns', 'value' => 'portfolio-grid grid-3-columns', ),
                    array( 'name' => '4 Columns', 'value' => 'portfolio-grid grid-4-columns', ),
                    array( 'name' => 'Timeline', 'value' => 'portfolio-grid portfolio-timeline', ),
                    ),
                'default' => 'portfolio-grid grid-2-columns',
            ),  

            array(
                'name' => 'Selected  Wide or no Wide ',
                'desc' => 'Selected  Wide or no Wide  With Portfolio',
                'id'   => $prefix . 'wide_page_portfolio',
                'type'    => 'select',
                'options' => array(
                    array( 'name' => 'No Wide', 'value' => ' ', ),
                    array( 'name' => 'Wide', 'value' => 'portfolio-item-wide', ),
                    ),
                'default' => '  ',
            ),
            array(
                'name' => 'Selected  Margin Title Overlayer ',
                'desc' => 'Selected  Margin Title Overlayer  With Portfolio',
                'id'   => $prefix . 'margin_page_portfolio',
                'type'    => 'select',
                'options' => array(
                    array( 'name' => 'Margin Title', 'value' => ' ', ),
                    array( 'name' => 'Margin Overlayer', 'value' => 'portfolio-item-overlayer', ),
                    array( 'name' => 'Without Margin Title', 'value' => 'portfolio-item-without-margin', ),
                    array( 'name' => 'Without Margin Overlayer', 'value' => 'portfolio-item-without-margin portfolio-item-overlayer', ),
                    ),
                'default' => ' ',
            ),        
        )
    );
	// Add other metaboxes as needed
	
	$meta_boxes[] = array(
        'id'         => 'post_setting',
        'title'      => 'Post Setting',
        'pages'      => array('post'), // Post type
        'context'    => 'normal',
        'priority'   => 'high',
        'show_names' => true, // Show field names on the left
        //'show_on'    => array( 'key' => 'id', 'value' => array( 2, ), ), // Specific post IDs to display this metabox
        'fields' => array(  

            array(
                    'name' => 'Selected Sidebar or Full Width with Single Blog',
                    'desc' => 'Sidebar or Full Width with Single Blog',
                    'id'   => $prefix . 'sidebar_single',
                    'type'    => 'select',
                    'options' => array(
                        array( 'name' => 'Left Sidebar', 'value' => 'left-sidebar', ),
                        array( 'name' => 'Right Sidebar', 'value' => 'right-sidebar', ),
                        array( 'name' => 'Full Width', 'value' => 'grid-full-width', ),
                        array( 'name' => 'Widthout Sidebar', 'value' => 'without-sidebar', ),
                        ),
                    'default' => 'right-sidebar',
                ),   

            array(
                'name' => __( 'Link Video', 'cmb' ),
                'desc' => __( 'Add link Video', 'cmb' ),
                'id'   => $prefix . 'link_video',
                'type' => 'text'
            ),

            array(
                'name' => __( 'Link Facebook', 'cmb' ),
                'desc' => __( 'Add link Facebook', 'cmb' ),
                'id'   => $prefix . 'link_facebook',
                'type' => 'text'
            ), 
            array(
                'name' => __( 'Link Twitter', 'cmb' ),
                'desc' => __( 'Add link Twitter', 'cmb' ),
                'id'   => $prefix . 'link_twitter',
                'type' => 'text'
            ), 
            array(
                'name' => __( 'Link Google +', 'cmb' ),
                'desc' => __( 'Add link google', 'cmb' ),
                'id'   => $prefix . 'link_google',
                'type' => 'text'
            ), 
            array(
                'name' => __( 'Link Youtube', 'cmb' ),
                'desc' => __( 'Add link Youtube', 'cmb' ),
                'id'   => $prefix . 'link_youtube',
                'type' => 'text'
            ), 
            array(
                'name' => __( 'Link Behance', 'cmb' ),
                'desc' => __( 'Add link Behance', 'cmb' ),
                'id'   => $prefix . 'link_behance',
                'type' => 'text'
            ), 
            array(
                'name' => __( 'Link Pinterest', 'cmb' ),
                'desc' => __( 'Add link Pinterest', 'cmb' ),
                'id'   => $prefix . 'link_pinterest',
                'type' => 'text'
            ), 
            array(
                'name' => __( 'Link Dribbble', 'cmb' ),
                'desc' => __( 'Add link Dribbble', 'cmb' ),
                'id'   => $prefix . 'link_dribbble',
                'type' => 'text'
            ), 
       
        )
    );
	// Add other metaboxes as needed
    $meta_boxes[] = array(
        'id'         => 'portfolio_setting',
        'title'      => 'Portfolio Setting',
        'pages'      => array('portfolio'), // Post type
        'context'    => 'normal',
        'priority'   => 'high',
        'show_names' => true, // Show field names on the left
        //'show_on'    => array( 'key' => 'id', 'value' => array( 2, ), ), // Specific post IDs to display this metabox
        'fields' => array(    

            array(
                'name' => __( 'Link Video', 'cmb' ),
                'desc' => __( 'Add link Video Display in Portfolio', 'cmb' ),
                'id'   => $prefix . 'link_video_portfolio',
                'type' => 'text'
            ),
                    
            array(
                'name' => __( 'Description', 'cmb' ),
                'desc' => __( 'Description', 'cmb' ),
                'id'   => $prefix . 'portfolio_des',
                'type' => 'textarea'
            ),
            array(
                'name' => __( 'Skill', 'cmb' ),
                'desc' => __( 'Skill', 'cmb' ),
                'id'   => $prefix . 'portfolio_skill',
                'type' => 'text'
            ),
            array(
                'name' => 'Selected Left Right Sidebar',
                'desc' => 'Sidebar Left or Right Sidebar',
                'id'   => $prefix . 'sidebar_portfolio',
                'type'    => 'select',
                'options' => array(
                    array( 'name' => 'Full Width', 'value' => 'grid-full-width', ),
                    array( 'name' => 'Sidebar Left', 'value' => 'left-sidebar', ),
                    array( 'name' => 'Sidebar Right', 'value' => 'right-sidebar', ),
                    ),
                'default' => 'grid-full-width',
            ),
            array(
                'name' => 'Selected Type of Portfolio',
                'desc' => 'Single1, single2, single3 or single4',
                'id'   => $prefix . 'type_single_portfolio',
                'type'    => 'select',
                'options' => array(
                    array( 'name' => 'Single1', 'value' => 'single1', ),
                    array( 'name' => 'Single2', 'value' => 'single2', ),
                    array( 'name' => 'Single3', 'value' => 'single3', ),
                    array( 'name' => 'Single4', 'value' => 'single4', ),
                    ),
                'default' => 'single1',
            ),
        )

    );

     $meta_boxes[] = array(
        'id'         => 'team_setting',
        'title'      => 'Team Setting',
        'pages'      => array('team'), // Post type
        'context'    => 'normal',
        'priority'   => 'high',
        'show_names' => true, // Show field names on the left
        //'show_on'    => array( 'key' => 'id', 'value' => array( 2, ), ), // Specific post IDs to display this metabox
        'fields' => array(  
            
            array(
                'name' => __( 'Member Description', 'cmb' ),
                'desc' => __( 'Add Member Description', 'cmb' ),
                'id'   => $prefix . 'member_des',
                'type' => 'textarea'
            ), 
            array(
                'name' => __( 'Member Description excerpt', 'cmb' ),
                'desc' => __( 'Add Member Description excerpt', 'cmb' ),
                'id'   => $prefix . 'member_excerpt_des',
                'type' => 'textarea'
            ), 


            array(
                'name' => __( 'Member Link Facebook', 'cmb' ),
                'desc' => __( 'Add Member Link Facebook', 'cmb' ),
                'id'   => $prefix . 'member_face',
                'type' => 'text'
            ), 
            array(
                'name' => __( 'Member Link twitter', 'cmb' ),
                'desc' => __( 'Add Member Link twitter', 'cmb' ),
                'id'   => $prefix . 'member_twit',
                'type' => 'text'
            ), 
            array(
                'name' => __( 'Member Link google', 'cmb' ),
                'desc' => __( 'Add Member Link google', 'cmb' ),
                'id'   => $prefix . 'member_goog',
                'type' => 'text'
            ), 
            array(
                'name' => __( 'Member Link Behance', 'cmb' ),
                'desc' => __( 'Member Link Behance', 'cmb' ),
                'id'   => $prefix . 'member_beha',
                'type' => 'text'
            ), 
            array(
                'name' => __( 'Member percent1', 'cmb' ),
                'desc' => __( 'Member percent1', 'cmb' ),
                'id'   => $prefix . 'member_percent1',
                'type' => 'text'
            ), 
            array(
                'name' => __( 'Member percent2', 'cmb' ),
                'desc' => __( 'Member percent2', 'cmb' ),
                'id'   => $prefix . 'member_percent2',
                'type' => 'text'
            ), 
            array(
                'name' => __( 'Member percent3', 'cmb' ),
                'desc' => __( 'Member percent3', 'cmb' ),
                'id'   => $prefix . 'member_percent3',
                'type' => 'text'
            ), 
            array(
                'name' => __( 'Member percent4', 'cmb' ),
                'desc' => __( 'Member percent4', 'cmb' ),
                'id'   => $prefix . 'member_percent4',
                'type' => 'text'
            ), 
            array(
                'name' => __( 'Member percent5', 'cmb' ),
                'desc' => __( 'Member percent5', 'cmb' ),
                'id'   => $prefix . 'member_percent5',
                'type' => 'text'
            ), 
            array(
                'name' => __( 'Member percent6', 'cmb' ),
                'desc' => __( 'Member percent6', 'cmb' ),
                'id'   => $prefix . 'member_percent6',
                'type' => 'text'
            ), 
       
        )
    );
     $meta_boxes[] = array(
        'id'         => 'service_setting',
        'title'      => 'Service Setting',
        'pages'      => array('service'), // Post type
        'context'    => 'normal',
        'priority'   => 'high',
        'show_names' => true, // Show field names on the left
        //'show_on'    => array( 'key' => 'id', 'value' => array( 2, ), ), // Specific post IDs to display this metabox
        'fields' => array(    
                    
            array(
                'name' => __( 'Description', 'cmb' ),
                'desc' => __( 'Description service', 'cmb' ),
                'id'   => $prefix . 'service_desc',
                'type' => 'text'
            ), 
            
       
        )
    );



	
	   $meta_boxes[] = array(
        'id'         => 'gallery_setting',
        'title'      => 'Gallery Setting',
        'pages'      => array('gallery'), // Post type
        'context'    => 'normal',
        'priority'   => 'high',
        'show_names' => true, // Show field names on the left
        //'show_on'    => array( 'key' => 'id', 'value' => array( 2, ), ), // Specific post IDs to display this metabox
        'fields' => array(
            array(
                'name' => 'Selected Left Right Sidebar',
                'desc' => 'Sidebar Left or Right Sidebar',
                'id'   => $prefix . 'sidebar_gallery',
                'type'    => 'select',
                'options' => array(
                    array( 'name' => 'Full Width', 'value' => 'fullwidth', ),
                    array( 'name' => 'Sidebar Left', 'value' => 'sidebar_left', ),
                    array( 'name' => 'Sidebar Right', 'value' => 'sidebar_right', ),
                    )
            ),
            array(
                'name' => 'Link Google',
                'desc' => 'Gallery link google',
                'id'   => $prefix . 'gallery_google',
                'type'    => 'text',
            ),
            array(
                'name' => 'Link Linkedin',
                'desc' => 'Gallery link linkedin',
                'id'   => $prefix . 'gallery_linkedin',
                'type'    => 'text',
            ),
            array(
                'name' => 'Link Support',
                'desc' => 'Gallery link support',
                'id'   => $prefix . 'gallery_support',
                'type'    => 'text',
            ),           
        )
    );

   
  $meta_boxes[] = array(
        'id'         => 'events_setting',
        'title'      => 'Events Setting',
        'pages'      => array('events'), // Post type
        'context'    => 'normal',
        'priority'   => 'high',
        'show_names' => true, // Show field names on the left
        //'show_on'    => array( 'key' => 'id', 'value' => array( 2, ), ), // Specific post IDs to display this metabox
        'fields' => array(
            array(
                'name' => 'Events Address 1',
                'desc' => 'Events Address 1',
                'id'   => $prefix . 'events_address1',
                'type'    => 'text',
            ), 
            array(
                'name' => 'Events Address 2',
                'desc' => 'Events Address 2',
                'id'   => $prefix . 'events_address2',
                'type'    => 'text',
            ),
            array(
                'name' => 'Events Address 3',
                'desc' => 'Events Address 3',
                'id'   => $prefix . 'events_address3',
                'type'    => 'text',
            ),
            array(
                'name' => 'Selected Left Right Sidebar',
                'desc' => 'Sidebar Left or Right Sidebar',
                'id'   => $prefix . 'sidebar_events',
                'type'    => 'select',
                'options' => array(
                    array( 'name' => 'Sidebar Left', 'value' => 'sidebar_left', ),
                    array( 'name' => 'Sidebar Right', 'value' => 'sidebar_right', ),
                    )
            ),
            array(
                'name' => 'Link Twitter',
                'desc' => 'Events link twitter',
                'id'   => $prefix . 'events_twitter',
                'type'    => 'text',
            ),
            array(
                'name' => 'Link Google',
                'desc' => 'Events link google',
                'id'   => $prefix . 'events_google',
                'type'    => 'text',
            ),
            array(
                'name' => 'Link Linkedin',
                'desc' => 'Events link linkedin',
                'id'   => $prefix . 'events_linkedin',
                'type'    => 'text',
            ),
        )
    );

	// Add other metaboxes as needed
	
	$meta_boxes[] = array(
		'id'         => 'seo_fields',
		'title'      => 'WordPress SEO by VergaTheme',
		'pages'      => array( 'page', 'post','Project'), // Post type
		'context'    => 'normal',
        'priority'   => 'high',
        'show_names' => true, // Show field names on the left
		//'show_on'    => array( 'key' => 'id', 'value' => array( 2, ), ), // Specific post IDs to display this metabox
		'fields' => array(
			array(
                'name' => 'Focus Keyword:',
                'desc' => 'SEO keywords (optional)',
                'id'   => $prefix . 'seo_keywords',
                'type' => 'text',
            ),
			array(
				'name' => 'SEO Title:',
				'desc' => 'Title display in search engines is limited to 70 chars.',
				'id'   => $prefix . 'seo_title',
				'type' => 'text',
			),
            array(
                'name' => 'Meta Description:',
                'desc' => 'The meta description will be limited to 156 chars.',
                'id'   => $prefix . 'seo_description',
                'type' => 'textarea',
            ),
		)
	);
	// Add other metaboxes as needed
	
	return $meta_boxes;
}

add_action( 'init', 'cmb_initialize_cmb_meta_boxes', 9999 );
/**
 * Initialize the metabox class.
 */
function cmb_initialize_cmb_meta_boxes() {

	if ( ! class_exists( 'cmb_Meta_Box' ) )
		require_once 'init.php';

}
