<?php



// register post type team
add_action( 'init', 'register_avaxy_Portfolio' );
function register_avaxy_Portfolio() {
    
    $labels = array( 
        'name' => __( 'Portfolio', 'avaxy' ),
        'singular_name' => __( 'Portfolio', 'avaxy' ),
        'add_new' => __( 'Add New Portfolio', 'avaxy' ),
        'add_new_item' => __( 'Add New Portfolio', 'avaxy' ),
        'edit_item' => __( 'Edit Portfolio', 'avaxy' ),
        'new_item' => __( 'New Portfolio', 'avaxy' ),
        'view_item' => __( 'View Portfolio', 'avaxy' ),
        'search_items' => __( 'Search Portfolio', 'avaxy' ),
        'not_found' => __( 'No Portfolio found', 'avaxy' ),
        'not_found_in_trash' => __( 'No Portfolio found in Trash', 'avaxy' ),
        'parent_item_colon' => __( 'Parent Portfolio:', 'avaxy' ),
        'menu_name' => __( 'Portfolio', 'avaxy' ),
    );

    $args = array( 
        'labels' => $labels,
        'hierarchical' => true,
        'description' => 'List Portfolio',
        'supports' => array( 'title', 'editor', 'thumbnail', 'comments'),
        'taxonomies' => array( 'Portfolio','type' ),
        'public' => true,
        'show_ui' => true,
        'show_in_menu' => true,
        'menu_position' => 5,
        'menu_icon' => get_stylesheet_directory_uri(). '/images/admin_ico.png', 
        'show_in_nav_menus' => true,
        'publicly_queryable' => true,
        'exclude_from_search' => false,
        'has_archive' => true,
        'query_var' => true,
        'can_export' => true,
        'rewrite' => true,
        'capability_type' => 'post'
    );

    register_post_type( 'Portfolio', $args );
}


add_action( 'init', 'create_Type_hierarchical_taxonomy', 0 );

//create a custom taxonomy name it Skillss for your posts

function create_Type_hierarchical_taxonomy() {

// Add new taxonomy, make it hierarchical like Skills
//first do the translations part for GUI

  $labels = array(
    'name' => __( 'Type', 'avaxy' ),
    'singular_name' => __( 'Type', 'avaxy' ),
    'search_items' =>  __( 'Search Type','avaxy' ),
    'all_items' => __( 'All Type','avaxy' ),
    'parent_item' => __( 'Parent Type','avaxy' ),
    'parent_item_colon' => __( 'Parent Type:','avaxy' ),
    'edit_item' => __( 'Edit Type','avaxy' ), 
    'update_item' => __( 'Update Type','avaxy' ),
    'add_new_item' => __( 'Add New Type','avaxy' ),
    'new_item_name' => __( 'New Type Name','avaxy' ),
    'menu_name' => __( 'Type','avaxy' ),
  );     

// Now register the taxonomy

  register_taxonomy('type',array('Portfolio'), array(
    'hierarchical' => true,
    'labels' => $labels,
    'show_ui' => true,
    'show_admin_column' => true,
    'query_var' => true,
    'rewrite' => array( 'slug' => 'type' ),
  ));

}


// register post type team
add_action( 'init', 'register_avaxy_Team' );
function register_avaxy_Team() {
    
    $labels = array( 
        'name' => __( 'Team', 'avaxy' ),
        'singular_name' => __( 'Team', 'avaxy' ),
        'add_new' => __( 'Add New Team', 'avaxy' ),
        'add_new_item' => __( 'Add New Team', 'avaxy' ),
        'edit_item' => __( 'Edit Team', 'avaxy' ),
        'new_item' => __( 'New Team', 'avaxy' ),
        'view_item' => __( 'View Team', 'avaxy' ),
        'search_items' => __( 'Search Team', 'avaxy' ),
        'not_found' => __( 'No Team found', 'avaxy' ),
        'not_found_in_trash' => __( 'No Team found in Trash', 'avaxy' ),
        'parent_item_colon' => __( 'Parent Team:', 'avaxy' ),
        'menu_name' => __( 'Team', 'avaxy' ),
    );

    $args = array( 
        'labels' => $labels,
        'hierarchical' => true,
        'description' => 'List Team',
        'supports' => array( 'title', 'editor', 'thumbnail', 'comments'),
        'taxonomies' => array( 'Team','title' ),
        'public' => true,
        'show_ui' => true,
        'show_in_menu' => true,
        'menu_position' => 5,
        'menu_icon' => get_stylesheet_directory_uri(). '/images/admin_ico.png', 
        'show_in_nav_menus' => true,
        'publicly_queryable' => true,
        'exclude_from_search' => false,
        'has_archive' => true,
        'query_var' => true,
        'can_export' => true,
        'rewrite' => true,
        'capability_type' => 'post'
    );

    register_post_type( 'Team', $args );
}

add_action( 'init', 'create_Title_hierarchical_taxonomy', 0 );

//create a custom taxonomy name it Skillss for your posts

function create_Title_hierarchical_taxonomy() {

// Add new taxonomy, make it hierarchical like Skills
//first do the translations part for GUI

  $labels = array(
    'name' => __( 'Title', 'avaxy' ),
    'singular_name' => __( 'Title', 'avaxy' ),
    'search_items' =>  __( 'Search Title','avaxy' ),
    'all_items' => __( 'All Title','avaxy' ),
    'parent_item' => __( 'Parent Title','avaxy' ),
    'parent_item_colon' => __( 'Parent Title:','avaxy' ),
    'edit_item' => __( 'Edit Title','avaxy' ), 
    'update_item' => __( 'Update Title','avaxy' ),
    'add_new_item' => __( 'Add  Title','avaxy' ),
    'new_item_name' => __( 'New Title Name','avaxy' ),
    'menu_name' => __( 'Title','avaxy' ),
  );     

// Now register the taxonomy

  register_taxonomy('title',array('Portfolio'), array(
    'hierarchical' => true,
    'labels' => $labels,
    'show_ui' => true,
    'show_admin_column' => true,
    'query_var' => true,
    'rewrite' => array( 'slug' => 'title' ),
  ));

}


?>


